<?php

/**
 * Gap Insurance Page Template
 * 
 * @package ThemeStarter
 */

?>

<!-- Get Header -->
<?php get_header(); ?>

<?php get_template_part('template-parts/partials/page-header') ?>

<!-- Gap Insurance -->
<section class="max-w-7xl mx-auto">
    <div class="px-4 py-8">
        <h2 class="font-bold text-xl mb-4">Gap insurance can help make sure your car is paid off after an accident</h2>

        <p class="mb-4">If your insured car is totaled in an accident, or stolen and unrecovered, your auto insurance may give you a settlement based on the car's actual cash value (ACV), not what you paid for it. Since cars depreciate in value, your settlement may not cover what you still owe on your auto financing loan or lease.</p>

        <p>That could leave you with no car and a big bill to pay. Our gap coverage can help avoid this unhappy scenario. Here are the key facts about this important, optional coverage:</p>

        <div class="bg-white py-4 mt-4 lg:mt-8">
            <div>
                <h3 class="text-xl text-stone-700 font-medium mb-2">Guaranteed Auto Protection (GAP) Insurance Facts</h3>
                <div class="border-t-4 border-red-500 mb-4"></div>
            </div>
            <ul class="list-disc list-inside mb-8 space-y-2 px-4 lg:px-8 py-4 border border-stone-200">
                <li>Insurance coverage that adds more protection to your auto policy</li>
                <li>An optional insurance coverage for cars that can be added to your auto financing loan. It may pay the difference between the balance of a lease or loan due on a vehicle and what your insurance company pays if the car is considered a covered total loss. Without proper coverage, the gap between what you've paid and what you owe can be substantial.</li>
                <li>Your lender may require gap insurance</li>
                <li>If you financed your vehicle with a car loan, your lender might require loan gap insurance in addition to your collision and comprehensive coverage.</li>
                <li>Actual cash value determines how much your policy pays</li>

                <li>Standard comprehensive and collision car insurance policies help pay for the replacement of your vehicle if it's a covered total loss - up to the limits of your policy and the car's actual cash value. ACV is equal to the cost of the car when it was new, minus depreciation for age, mileage, physical condition and other factors.</li>

                <li>After just a year, the ACV of your car can be thousands less than what you paid for it, which can leave you with an expensive loan or lease balance. Our gap insurance may cover some, or all, of that amount.</li>

                <li>Let's say your car cost $35,000 when new, and you currently owe $30,000. If the car is totaled, the ACV of the vehicle may be only $25,000. You have a deductible of $500, so the car accident settlement is $24,500. Your gap insurance coverage may pay the remaining $5,500 on the loan instead of having to come up with the money yourself.</li>

                <li>If you have any questions, please feel free to ask give us a call at anytime.</li>
            </ul>
        </div>

        <div>
            <a class="text-white px-8 py-4 bg-red-500 font-medium hover:bg-red-800 transition-colors duration-300" href="">Learn More<i class="bi-arrow-right ml-2"></i>
            </a>
        </div>

    </div>
</section>

<!-- Get Footer -->
<?php get_footer(); ?>